package com.ss.android.ugc.aweme.im.message.template.component;

import X.J79;
import X.J7A;
import android.os.Parcel;
import android.os.Parcelable;
import kotlin.h.b.n;

public enum ActionLinkType implements BaseComponent<J7A> {
    INVALID(-1),
    DEEP_LINK(J7A.DeepLink.getValue()),
    H5_LINK(J7A.H5Link.getValue()),
    FOLLOW_USER(J7A.FollowUser.getValue());
    
    public static final Parcelable.Creator<ActionLinkType> CREATOR = null;
    public final int value;

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        n.LIZLLL(parcel, "");
        parcel.writeString(name());
    }

    public final int getValue() {
        return this.value;
    }

    public final J7A toProto() {
        return J7A.fromValue(this.value);
    }

    /* access modifiers changed from: public */
    static {
        CREATOR = new J79();
    }

    /* access modifiers changed from: public */
    ActionLinkType(int i) {
        this.value = i;
    }
}
